Name: sysstat
Version: 4.0.1
Release: 12
Summary: The sar and iostat system monitoring commands.
License: GPL
Group: Applications/System
Source: http://perso.wanadoo.fr/sebastien.godard/%{name}-%{version}.tar.bz2
Source1: sysstat.crond
Source2: sysstat.crondaily
Patch0: sysstat-4.0.1-config.patch
Patch1: sysstat-4.0.1-prevday.patch
Patch2: sysstat-3.3.5-fixutilization.patch
Patch3: sysstat-4.0.1-verbose.patch
Patch5: sysstat-4.0.1-longifnames.patch
Patch6: sysstat-4.0.1-maxparts.patch
Patch7: sysstat-4.0.1-mktemp.patch
Patch8: sysstat-4.0.1-mpstat.patch
Patch9: sysstat-4.0.1-nodocinstall.patch
URL: http://perso.wanadoo.fr/sebastien.godard/
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: %{_includedir}/linux/if.h
Requires: kernel >= 2.2.16-21
Prereq: sh-utils textutils grep fileutils /etc/cron.d

%description
This package provides the sar and iostat commands for Linux. Sar and
iostat enable system monitoring of disk, network, and other IO
activity.

%package isag
Summary: The isag system monitoring data viewer.
Group: Applications/System
Requires: %{name} = %{version}-%{release} gnuplot tk mktemp

%description isag
This package provides the isag tool which displays system monitoring data
graphically.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .prevday
#%patch2 -p1 -b .fixutilization
%patch3 -p1 -b .verbose
%patch5 -p1 -b .longifnames
%patch6 -p1 -b .maxparts
%patch7 -p1 -b .mktemp
%patch8 -p1 -b .mpstat
%patch9 -p1 -b .nodocinstall

%build
make CFLAGS="$RPM_OPT_FLAGS" PREFIX=%{_prefix}

%install
rm -rf %{buildroot}
make install MAN_DIR=%{_mandir}

mkdir -p %{buildroot}/etc/{cron.daily,cron.d}
install %{SOURCE1} %{buildroot}/etc/cron.d/sysstat
install %{SOURCE2} %{buildroot}/etc/cron.daily/sysstat

%find_lang %{name}

%triggerpostun -- sysstat <= 3.3.3-1
# earlier versions of sysstat had crontabs done in a bad way.  fix it.
if [ `id -u` = "0" -a "$1" -ge "2" ]; then
  egrep -v 'sysstat|sa1|sa2' /etc/crontab > /etc/crontab.tmp.$$ && \
  mv /etc/crontab.tmp.$$ /etc/crontab && chmod 644 /etc/crontab
fi

%preun
if [ "$1" = 0 ]; then
  # Remove sa logs if removing sysstat completely
  rm -f /var/log/sa/*
fi

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS README TODO
%config(noreplace) /etc/cron.d/sysstat
%config(noreplace) /etc/cron.daily/sysstat
%{_bindir}/iostat
%{_bindir}/mpstat
%{_bindir}/sar
%{_libdir}/sa
%{_mandir}/man1/iostat.1*
%{_mandir}/man1/mpstat.1*
%{_mandir}/man1/sar.1*
%{_mandir}/man8/*
/var/log/sa

%files isag
%defattr(-,root,root)
%{_bindir}/isag
%{_mandir}/man1/isag.1*

%changelog
* Tue Mar 09 2004 Nils Philippsen <nphilipp@redhat.com>
- require %%{name} = %%{version}-%%{release} in isag subpackage (#117818)
- ensure root package ownership in isag subpackage (#114694)

* Fri Mar 05 2004 Nils Philippsen <nphilipp@redhat.com>
- split off isag into subpackage to avoid overly excessive dependencies
  in main package
 
* Sat Feb 21 2004 Nils Philippsen <nphilipp@redhat.com>
- fix mpstat problems (#90574)
- don't install docs from the Makefile to please builds with newer RPMs

* Thu Jan 29 2004 Nils Philippsen <nphilipp@redhat.com>
- fix insecure tmp files in isag (#78212), require mktemp package

* Tue Jan 27 2004 Nils Philippsen <nphilipp@redhat.com>
- increase maximum number of partitions (#110822)
- fix longifnames patch
- require tk not wish

* Wed Jan 21 2004 Nils Philippsen <nphilipp@redhat.com>
- requires gnuplot, tk for isag tool

* Tue Jan 20 2004 Nils Philippsen <nphilipp@redhat.com>
- handle interface names longer than 5 characters (#92052, backport from 5.0.0)
- fix insecure tmp files in scripts (#78212)

* Mon Aug 13 2001 Preston Brown <pbrown@redhat.com>
- be more verbose about which files are corrupt (#47122)

* Mon Jul  2 2001 Preston Brown <pbrown@redhat.com>
- run sa1 from cron.d to fix run-parts interaction problem (#37733)

* Fri Jun 29 2001 Preston Brown <pbrown@redhat.com>
- upgrade to 4.0.1 stable release

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Sun Apr  8 2001 Preston Brown <pbrown@redhat.com>
- explicitly set safe umask (#35142)

* Fri Mar  9 2001 Preston Brown <pbrown@redhat.com>
- iostat disk utilization was off by a factor of 10.

* Wed Feb 14 2001 Preston Brown <pbrown@redhat.com>
- 3.3.5 brings us full support for kernel IO stats

* Tue Jan 30 2001 Preston Brown <pbrown@redhat.com>
- Summarize previous day's activity with sa2, not current day (which is only 4 hours of data when it gets run) (#24820)
- upgrade to 3.3.4 for full 2.4 compatibility and improved iostat

* Tue Jan 17 2001 Preston Brown <pbrown@redhat.com>
- iostat man page fixes

* Fri Jan 05 2001 Preston Brown <pbrown@redhat.com>
- 3.3.3, crontab fixes

* Fri Dec 29 2000 Bill Nottingham <notting@redhat.com>
- fix prereqs

* Fri Oct 13 2000 Preston Brown <pbrown@redhat.com>
- crontab entry was still incorrect.  Fixed.

* Mon Oct 09 2000 Preston Brown <pbrown@redhat.com>
- make sure disk accounting is enabled to fix iostat -l, -p (#16268)
- crontab entries were missing the user (root) to run as (#18212)

* Tue Aug 22 2000 Preston Brown <pbrown@redhat.com>
- enable IO accounting now that kernel supports it

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix buildrooting (#16271)

* Tue Aug 08 2000 Preston Brown <pbrown@redhat.com>
- bugfixes in 3.2.4 cause our inclusion. :)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Preston Brown <pbrown@redhat.com>
- 3.2.3 fixes SMP race condition

* Tue Jun 20 2000 Preston Brown <pbrown@redhat.com>
- FHS macros
- 3.2.2

* Fri May 26 2000 Preston Brown <pbrown@redhat.com>
- packaged for Winston
- change va patch to indicate kernel is not patched for iostat accounting.
  re-enable if our stock kernel gets this patch.
- upgrade to 3.2.
- install crontab entry.

* Sun Dec 12 1999  Ian Macdonald <ian@caliban.org>
- upgraded to 2.2

* Fri Oct 29 1999  Ian Macdonald <ian@caliban.org>
- first RPM release (2.1)
